// pages/user/yhq/qr_code/qr_code.js
const {
  barcode,
  qrcode
} = require('../../utils/index.js')

Component({
  data: {
      q_show:0,
      object:null,
      index:0,
      is_fw:0,

      barcode_canvas:null,
      qrcode_canvas:null,
  },
  properties: {
    // 这里定义了innerText属性，属性值可以在组件使用时指定
  },
  ready: function () {
  },

  methods: {
    //关闭
    close: function (e) {
        this.setData({q_show: 0,barcode_canvas:null,qrcode_canvas:null });
				this.triggerEvent('close',{},{bubbles: true});
    },

    //打开
    open:function (e) {
        this.data.index++;
        var list=[{index:this.data.index }];

        this.setData({q_show: 1,object:e,barcode_canvas:list,qrcode_canvas:list,is_fw:e.is_fw });
        var val=e.val;

        // barcode('barcode'+this.data.index,val, 620, 160,this);
        qrcode('qrcode'+this.data.index, val, 520, 520,this);
    }  
  },
 
  
 
 
})